// illumic1.ino
int sensorPin = 1;    // 조도센서를 1번핀에 설정
int ledPin = 2;       // LED를 2번 핀에 설정
int micPin = 3;  // micPin을 3번 핀에 설정 

// 10 세그먼트 핀 설정
int led0 = 4;   // led0을 4번 핀에 설정
int led1 = 5;  // led1을 5번 핀에 설정
int led2 = 6;  // led2을 6번 핀에 설정
int led3 = 7;  // led3을 7번 핀에 설정
int led4 = 8;  // led4을 8번 핀에 설정
int led5 = 9;  // led5을 9번 핀에 설정
int led6 = 10;  // led6을 10번 핀에 설정
int led7 = 11; // led7을 11번 핀에 설정
int led8 = 12; // led8을 12번 핀에 설정
int led9 = 13; // led9을 13번 핀에 설정


// 한번 실행할 코드를 설정 
void setup(){
 
  // 핀 설정
 // pinMode(sensorPin, INPUT);  // 조도센서를 입력으로 설정 
  pinMode(ledPin, OUTPUT);  // LED를 출력으로 설정
//  pinMode(micPin, INPUT); // micPin을 입력으로 설정 
  
  pinMode(led0, OUTPUT); // led0을 출력핀으로 설정 
  pinMode(led1, OUTPUT); // led1을 출력핀으로 설정
  pinMode(led2, OUTPUT); // led2을 출력핀으로 설정
  pinMode(led3, OUTPUT); // led3을 출력핀으로 설정
  pinMode(led4, OUTPUT); // led4을 출력핀으로 설정
  pinMode(led5, OUTPUT); // led5을 출력핀으로 설정
  pinMode(led6, OUTPUT); // led6을 출력핀으로 설정
  pinMode(led7, OUTPUT); // led7을 출력핀으로 설정
  pinMode(led8, OUTPUT); // led8을 출력핀으로 설정
  pinMode(led9, OUTPUT); // led9을 출력핀으로 설정
  
  
}

// 10 세그먼트의 LED를 iLED까지 ON 하는 함수
//   iLED : iLED 까지 LED를 ON
void OnTenSeg(int iLED)
{
  int a = iLED/10;  // 마이크 입력 영역(0~100%)을 10으로 나누어, 
  int b = led0;
  int i;
  for(i=0;i<=9;i++)
    digitalWrite(i+b, LOW);   // 반복문으로  LED를 순차적으로 끕니다.
   for(i=0;i<=a;i++)
    digitalWrite(i+b, HIGH);  // 반복문으로 LED 순차적으로 켭니다. 
}


 // 반복 설정 
void loop(){
  
  int cds = 0;

  cds = analogRead(sensorPin);  // 조도센서의 밝기 값을 읽어서, 저장  

  if (cds < 40)  // (조건문) 밝기 값이 10보다 작으면
    digitalWrite(ledPin, HIGH);  // LED를 켜라
  else // (조건문)의 조건에 맞지 않으면, 
    digitalWrite(ledPin, LOW); // LED를 끄라
  delay(10);
   
 int mic;
 
  mic = analogRead(micPin)/5; // micPin을 통해 마이크의 입력을 읽습니다. 
 
  OnTenSeg(mic);
 
  delay(10);

  // 측정값을 시리얼 포트로 전송
 Serial.begin(9600);  // 시리얼(PC모니터에 출력 기능)시작과 속도를 9600pbs 설정 
 Serial.print( "light=" );
 Serial.print(cds);
 Serial.print( ", microphone=" );
 Serial.println(mic); 

}


